function disp_gm(x, y, m, sigma, sigma_in, sigma_out, sigma_def, it, K)

if (nargin < 5), it = 0; end
disp( strcat('iteration=', num2str(it-1) ) );

% axes
clf
title( strcat('iteration= ', num2str(it-1), ', clusters= ', num2str(K) ));
maxxy = max(max(x), max(y));
minxy = min(min(x), min(y));
axis([minxy maxxy minxy maxxy]);
hold on;

% points
scatter(x,y, 100,'.k');          % data points
scatter(m(:,1), m(:,2), '.r');   % centers (points)

% circles
for i=1:size(sigma,1)
    %circle(m(i,:),0.01,100,'r');                % centers (circles)
    circle(m(i,:),2*sigma_def(i),1000,'m');      % default sigma
    circle(m(i,:),2*sigma_in(i),1000,'g--');     % inner sigma
    circle(m(i,:),2*sigma_out(i),1000,'g--');    % outer sigma
    circle(m(i,:),2*sigma(i),1000,'b');          % expanded sigma
end

hold off;
pause;